Bug 1293049 - Review Request: libpasastro - Pascal interface for standard astronomy libraries
Review Request: libpasastro - Pascal interface for standard astronomy libraries
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: Astronomy-SIG
  Show dependency treegraph
 
Reported: 2015-12-19 12:18 EST by Mattia Verga
Modified: 2016-01-12 03:01 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-12 03:01:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Mattia Verga 2015-12-19 12:18:02 EST
Spec URL: http://www.coolbits.it/fedora/libpasastro.spec
SRPM URL: http://www.coolbits.it/fedora/libpasastro-1.0-2.20151219svn.fc23.src.rpm
Description: libpasastro provides shared libraries to interface Pascal programs with standard astronomy libraries. It provides common code to programs like Skychart and Virtual Planets Atlas.
Fedora Account System Username: mattia
Comment 1 Upstream Release Monitoring 2015-12-19 12:29:35 EST
mattia's scratch build of libpasastro-1.0-2.20151219svn.fc23.src.rpm for f24 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12255912
Comment 2 Rex Dieter 2015-12-31 16:03:44 EST
naming: ok

license: ok

scriptlets: ok

Arches: NOT ok.  Looks like fpc has
ExclusiveArch:  %{arm} %{ix86} x86_64 ppc ppc64
and lazaras:
ExcludeArch:    s390 s390x

I'd guess those should match closer, but in the least the .spec comment is inaccurate:
# fpc and lazarus are not working on s390, ppc and aarch64

1. MUST:  either clarify this comment or adjust to match fpc's
ExclusiveArch:  %{arm} %{ix86} x86_64 ppc ppc64


sources: NOT ok, not verifiable
2. MUST give better instructions to create reproducible sources or justify why not using upstream tarball source,
 http://sourceforge.net/projects/libpasastro/files/version%201.0/libpasastro-1.0-src.tar.xz/download


3.  SHOULD replace fragile/manual creation of library soname links:
#ln -fs %{_libdir}/libpasplan404.so.%{sover}.0 %{buildroot}/%{_libdir}/libpasplan404.so.%{sover}
#ln -fs %{_libdir}/libpasgetdss.so.%{sover}.0 %{buildroot}/%{_libdir}/libpasgetdss.so.%{sover}
#ln -fs %{_libdir}/libpaswcs.so.%{sover}.0 %{buildroot}/%{_libdir}/libpaswcs.so.%{sover}
with:
/sbin/ldconfig -n %{buildroot}%{_libdir}


macros: NOT ok

4.  MUST use standard $RPM_OPT_FLAGS/%{optflags}, currently uses hard-coded mixture of "-O3 -fPIC -g" and "-fPIC -g"
Comment 3 Rex Dieter 2015-12-31 16:06:54 EST
As an aside, as far as I can tell neither lazarus or fpc are actually used during the build process for this package, and it seems to build ok without them being present in the buildroot, so.

5. SHOULD verify 
BuildRequires: fpc lazarus
is really needed (and the accompanying ExcludeArch/ExclusiveArch tag).
Comment 4 Mattia Verga 2016-01-01 04:49:28 EST
Spec URL: http://www.coolbits.it/fedora/libpasastro.spec
SRPM URL: http://www.coolbits.it/fedora/libpasastro-1.0-5.20151222svn.fc23.src.rpm

Ok, I've removed fpc and lazarus BR, so ExcludeArch tag is no more necessary.
I've fixed the soname links creation and passed CFLAGS and CXXFLAGS in make by using %{optflags}, I guess it can now be the right way for that.

About sources, I use svn and not the package available upstream because I asked the developer to fix some things for packaging into Fedora and these things are available only in svn at the moment. I clarified that a bit in .spec file, tell me if I need to specify something more.

Thanks
Comment 5 Rex Dieter 2016-01-01 10:35:34 EST
Thanks, looks good, approved.
Comment 6 Gwyn Ciesla 2016-01-02 13:10:56 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/libpasastro
Comment 7 Fedora Update System 2016-01-03 05:58:13 EST
libpasastro-1.0-5.20151222svn.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f874adea82
Comment 8 Fedora Update System 2016-01-03 19:27:06 EST
libpasastro-1.0-5.20151222svn.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f874adea82
Comment 9 Fedora Update System 2016-01-12 03:01:12 EST
libpasastro-1.0-5.20151222svn.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.